Subject: Re: bug#39248: format-time-string ignores user's preferred locale

From: "Paul W. Rankin" <[email-masked]>
Date: Sat, 25 Jan 2020 19:36:03 +1000

On Fri, Jan 24 2020, Paul Eggert wrote:
> However, Emacs currently sets the LANG environment variable in
> ns_init_locale *after* Emacs uses LANG to set the LC_TIME locale,
> which is not what is wanted here. So, please try the attached patch to
> master.

Thank you, this patch works; Emacs.app launched from Finder on macOS now
gives:

    (format-time-string "%x")
    "25/01/2020"

GNU Emacs 28.0.50 (build 1, x86_64-apple-darwin19.2.0, NS appkit-1894.20
Version 10.15.2 (Build 19C57)) of 2020-01-25